Name: ncurses-plus
Version: 5.2
Release: 12
Group: Utilities/System
Copyright: GPL
Source0: /usr/share/doc/ncurses-devel/c++/ncurses-plus-5.2.tar.gz
Source1: configure.ac
Source2: ncurses_cfg.h
Source3: install-sh
Source4: ncurses_def.h
Source5: mkinstalldirs
Patch0: Makefile.patch
Requires: ncurses-devel = %{version}-%{release}
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}
Summary: NCURSES C++ library
%description
NCURSES C++ library

%changelog

%prep
%setup -q

%patch0 -p1

cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .

autoconf
./configure

%build
make prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/ncurses++
make prefix=/usr DESTDIR=$RPM_BUILD_ROOT install

cp cursesapp.h cursesf.h cursesm.h cursesp.h cursesw.h cursslk.h etip.h $RPM_BUILD_ROOT/usr/include/ncurses++

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS PROBLEMS README-first
/usr/lib/*
/usr/include/ncurses++
